Como instalar ffmpeg no Ubuntu 14.04



1 - Abra o terminal e utilize essas linhas de código:


sudo add-apt-repository ppa:kirillshkrogalev/ffmpeg-next
 
sudo apt-get update

sudo apt-get install ffmpeg

___________________________________________


2 - Tambem encontrei essas linhas de codigo

sudo add-apt-repository ppa:mc3man/trusty-media 
sudo apt-get update 
sudo apt-get install ffmpeg
remove ffmpeg
$ sudo apt-get remove ffmpeg
______________________________________________________
3 - Essas linhas de codigo vem direto do site do ffmpeg

sudo add-apt-repository ppa:mc3man/trusty-media
sudo apt-get update
sudo apt-get dist-upgrade

. gstreamer0 10-ffmpeg - necessário para algumas aplicações que ainda usam gstreamer-0,10 e também fornece h.264 em html5 descodificação para firefox <30 data-blogger-escaped-.="" data-blogger-escaped-span="">

https://launchpad.net/~mc3man/+archive/ubuntu/trusty-media






___________________________________________________
 
Em setembro de 2015 eu instalei o Ubuntu 14.04.
Depois instalei apenas o Kdenlive + winff + Cinelerra.
O kdenlive trabalhou bem com os arquivos MTS da filmadora - direto sem precisar de nenhum ajuste.
 
No Cinelerra - já o 2.3 - a história foi diferente.
Tentei instalar o ffmpeg pelos métodos acima e deu erro (arquivo mov sem som e com 3 pistas de áudio). 
Mesmo com as linhas de codigo do site do ffmpeg o erro continua:
 
1 - pelo winfff - no terminal - cada vez que eu tentava converter um arquivo MTS em mov aparecia o
seguinte erro:
Non-reference picture received and no reference available
[h264 @ 0x99b57c0] decode_slice_header error
2 - o arquivo convertido em mov no Cinelerra = aparecia sem som e com 3 pistas de audio.
 
Então instalei o pacote restrito do Ubuntu.
Depois instalei o VLC e NVIDIA X Server Settings. O problema permaneceu.
 
Achei informações nesse site - Como compilar o ffmpeg no Ubuntu 14.04:
http://ubuntuforums.org/showthread.php?t=2251256
 
 
_____________________________________________________

4 - Outra linha de comando para o terminal instalar o ffmpeg que eu encontrei em pesquisas:
 
sudo add-apt-repository ppa:mc3man/trusty-media -y && sudo 
apt-get update && sudo apt-get install ffmpeg 
gstreamer0.10-ffmpeg -y
 
_____________________________________________________ 
 
5 - Mais comandos diferentes para instalar o ffmpeg no Ubuntu 14.04:

$ sudo apt-add-repository ppa:samrog131/ppa
$ sudo apt-get update
$ sudo apt-get install ffmpeg-real
$ sudo ln -sf /opt/ffmpeg/bin/ffmpeg /usr/bin/ffmpeg 


Para remover, execute:
 $ sudo apt-get remove ffmpeg
$ sudo rm /opt/ffmpeg/bin/ffmpeg /usr/bin/ffmpeg

 

 _______________________________________________________
 
Válido para Ubuntu 14.04 e 15.04

6 - Instale FFmpeg 2.6.2 em sistemas Ubuntu

O FFmpeg pode ser instalado via PPA. Abra o Terminal e execute o seguinte comando para adicionar o PPA e instalar FFmpeg:

sudo apt-add-repository ppa:samrog131/ppa
sudo apt-get update
sudo apt-get install ffmpeg-real

 
Você também terá que criar o link simbólico para fazer fazer FFmpeg 2.6.2 trabalho em sistemas Linux Ubuntu. Execute o seguinte comando para criar o link simbólico:


sudo ln -sf /opt/ffmpeg/bin/ffmpeg /usr/bin/ffmpeg
 

Desinstalar FFmpeg 2.6.2 De Sistemas Ubuntu

Se você deseja desinstalar e remover FFmpeg instalado em seu sistema, execute o seguinte comando:


sudo apt-get remove ffmpeg
 

Usando FFmpeg no Ubuntu

Uma vez instalado, você pode abrir FFmpeg a partir do Ubuntu Dash (se instala pelo termina) e usá-lo para converter um vídeo ou outro arquivo multimídia.
 

_______________________________________________________


CONCLUSÃO
 
Eu não consegui instalar o ffmpeg no Ubuntu 14.04.
Depois de muita pesquisa eu encontrei essas possibilidades acima.
Testei os ítens 1, 2 e 3.
Daí encontrei a informação que no Ubuntu 14.04 o ffmpeg foi  tirado do repositório.
Porém o ffmpeg voltou no Ubuntu 15.04.
Então instalei o Ubuntu 15.04 e testei = deu certo!
Veja como aqui
 
A versão que eu consegui instalar do Cinelerra foi a 2.3 CV (da comunidade).
Consta que o Cinelerra 5.0 - versão do criador - já aceita MTS sem precisar de conversão.
Estou pesquisando como instalar o 5.0. 
 
 
 
 
 

Nenhum comentário:

Postar um comentário

Os comentários passam pela Moderação antes da publicação.